const { Sequelize } = require('sequelize');
require('dotenv').config();

// Criando a conexão específica para o banco de fornecedores
const sourcingDb = new Sequelize(
    process.env.DB_SOURCING_NAME, 
    process.env.DB_SOURCING_USER, 
    process.env.DB_SOURCING_PASS, 
    {
        host: process.env.DB_SOURCING_HOST,
        dialect: 'mysql',
        logging: false
    }
);

module.exports = sourcingDb;